_PurpleAccountPrefsUiOps Struct Reference

Account prefs UI operations, to allow the UI to catch account preference changes. More...

`#include <account.h>`

## Data Fields

void(* | set_int )(PurpleAccount *account, const char *name, int value)
| Notifies the UI that an integer account setting was set. More...
void(* | set_string )(PurpleAccount *account, const char *name, const char *value)
| Notifies the UI that a string account setting was set. More...
void(* | set_bool )(PurpleAccount *account, const char *name, gboolean value)
| Notifies the UI that a boolean account setting was set. More...
void(* | load )(void)
| If this is set, accounts.xml loading will be disabled and this function will be called instead.
void(* | save )(void)
| If this is set, accounts.xml saving will be disabled and this function will be called instead.
void(* | schedule_save )(void)
| If this is set, the UI will handle scheduling the timer to call the save function, overriding the default timeout of 5 seconds.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Account prefs UI operations, to allow the UI to catch account preference changes.

Unlike the PurplePrefsUiOps API, these are always stored internally in a hash table. If the UI wants to handle accounts settings, it must set them to the account on load and handle changes with set_ methods. Implementing load/save/schedule_save disables the built-in accounts.xml code.

Since
  2.11.0

Definition at line 135 of file account.h.

## Field Documentation

## set_bool

void(* _PurpleAccountPrefsUiOps::set_bool) (PurpleAccount *account, const char *name, gboolean value)

Notifies the UI that a boolean account setting was set.

Definition at line 144 of file account.h.

## set_int

void(* _PurpleAccountPrefsUiOps::set_int) (PurpleAccount *account, const char *name, int value)

Notifies the UI that an integer account setting was set.

Definition at line 138 of file account.h.

## set_string

void(* _PurpleAccountPrefsUiOps::set_string) (PurpleAccount *account, const char *name, const char *value)

Notifies the UI that a string account setting was set.

Definition at line 141 of file account.h.

The documentation for this struct was generated from the following file:

- account.h